unit Masod;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, Buttons;

type
  TFrm_Masod = class(TForm)
    Pnl_Masod: TPanel;
    Pnl_Megold: TPanel;
    Lbl_Masod_A: TLabel;
    Lbl_Masod_B: TLabel;
    Lbl_Masod_C: TLabel;
    Lbl_Megold_Szoveg1: TLabel;
    Edt_Masod_A: TEdit;
    Edt_Masod_B: TEdit;
    Edt_Masod_C: TEdit;
    Lbl_Megold_Egyenlet: TLabel;
    Lbl_Megold_x1: TLabel;
    Lbl_Megold_x2: TLabel;
    Lbl_Megold_Szoveg2: TLabel;
    BtBn_Masod_Uj: TBitBtn;
    BtBn_Masod_OK: TBitBtn;
    BtBn_Masod_Kilep: TBitBtn;
    Lbl_Megold_Negyzet: TLabel;
    procedure BtBn_Masod_UjClick(Sender: TObject);
    procedure BtBn_Masod_OKClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Frm_Masod: TFrm_Masod;

implementation
Uses Hiba;

{$R *.DFM}

procedure TFrm_Masod.BtBn_Masod_UjClick(Sender: TObject);
begin
     Edt_Masod_A.Text:='';
     Edt_Masod_B.Text:='';
     Edt_Masod_C.Text:='';
     Lbl_Megold_Egyenlet.Caption:='ax  + bx + c=0';
     Lbl_Megold_Szoveg2.Caption:='';
     Lbl_Megold_x1.Caption:='';
     Lbl_Megold_x2.Caption:='';
     Frm_Masod.ActiveControl:=Edt_Masod_A;
         
end;

procedure TFrm_Masod.BtBn_Masod_OKClick(Sender: TObject);
Var a,b,c       : Double;    {egytthatk}
    s_a,s_b,s_c : String;     {egytthatk}
    D           : Double;    {Diszkriminns}
    x1,x2       : Double;    {megoldsok}
    s_x1,s_x2   : String;     {megoldsok}
begin
     If (Edt_Masod_A.Text='') OR (Edt_Masod_B.Text='') OR (Edt_Masod_C.Text='')
        Then
            Begin
                  Frm_Hiba.ShowModal;
                  Frm_Masod.ActiveControl:=Edt_Masod_A;
            End
        Else
            Begin
                 a:=StrToFloat(Edt_Masod_A.Text);
                 b:=StrToFloat(Edt_Masod_B.Text);
                 c:=StrToFloat(Edt_Masod_C.Text);
                 If (a=0) AND (b=0)
                    Then
                        Begin
                             Frm_Hiba.ShowModal;
                             Frm_Masod.ActiveControl:=Edt_Masod_A;
                        End
                    Else
                        Begin
                             D:=b*b-4*a*c;
                             s_a:=FloatToStr(a);
                             If b<0
                                Then
                                    s_b:=FloatToStr(b)
                                Else
                                    s_b:='+'+FloatToStr(b);
                             If c<0
                                Then
                                    s_c:=FloatToStr(c)
                                Else
                                    s_c:='+'+FloatToStr(c);

                             If D<0
                                Then
                                    Begin
                                         Lbl_Megold_Szoveg2.Caption:='Az egyenletnek nincs vals megoldsa.';
                                         Lbl_Megold_Egyenlet.Caption:=s_a+'x  '+s_b+'x '+s_c+'=0';
                                    End
                                Else
                                    Begin
                                         If a=0
                                            Then
                                                Begin
                                                     Lbl_Megold_Szoveg2.Caption:='Az egyenlet elsfok.';
                                                     x1:=-c/b;
                                                     Str(x1:5:2,s_x1);
                                                     Lbl_Megold_x1.Caption:='X1= '+s_x1;
                                                End
                                            Else
                                                Begin
                                                     Lbl_Megold_Szoveg2.Caption:='Az egyenlet gykei:';
                                                     x1:=(-b-Sqrt(d))/2/a;
                                                     x2:=(-b+Sqrt(d))/2/a;
                                                     Str(x1:5:2,s_x1);
                                                     Str(x2:5:2,s_x2);
                                                     Lbl_Megold_x1.Caption:='X1= '+s_x1;
                                                     Lbl_Megold_x2.Caption:='X2= '+s_x2;
                                                End;
                                                Lbl_Megold_Egyenlet.Caption:=s_a+'x  '+s_b+'x '+s_c+'=0';
                                    End;
                        End;
            End;
end;

end.
