unit u_skivetel;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Spin;

type
  TForm1 = class(TForm)
    ButtonStart: TButton;
    ButtonSajat: TButton;
    ButtonAbort: TButton;
    procedure ButtonStartClick(Sender: TObject);
    procedure ButtonSajatClick(Sender: TObject);
    procedure ButtonAbortClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.ButtonStartClick(Sender: TObject);
var speSzam: TSpinEdit;
    sSzoveg: String;
begin
 try
   try
     speSzam:= TSpinEdit.Create(Self);
     speSzam.Parent:= Self;
     sSzoveg:= InputBox('Adatbekrs', 'Krem a megjelentend szmot!', '');
     speSzam.Value:= StrToInt(sSzoveg);
   finally
     speSzam.Free;
   end;
 except
   On EConvertError do ShowMessage('Egsz szmot krek!');
  else
   ShowMessage('Egyb hiba');
 end;
end;

procedure TForm1.ButtonSajatClick(Sender: TObject);
var iSzam: integer;
    sSzoveg: string;
begin
 InputQuery('Adatbekrs','Krek egy 10-nl kisebb szmot', sSzoveg);
 iSzam:= StrToInt(sSzoveg);
 If iSzam > 9 then raise ERangeError.Create('10-nl kisebb szmot krek');
 ShowMessage('OK');
end;

procedure TForm1.ButtonAbortClick(Sender: TObject);
var iSzam: integer;
    sSzoveg: string;
begin
 try
   InputQuery('Adatbekrs','Krek egy 10-nl kisebb szmot', sSzoveg);
   iSzam:= StrToInt(sSzoveg);
   If iSzam > 9 then abort;
   ShowMessage('OK');
 except
  on EConvertError Do ShowMessage('Egsz szmot krek');
  on EAbort Do ShowMessage('10-nl kisebb szmot krek');
 end;
end;

end.
