unit u_szerkeszto;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, ExtDlgs;

type
  TFormSzulo = class(TForm)
    MainMenu: TMainMenu;
    Fjl1: TMenuItem;
    jdokumentum1: TMenuItem;
    Megnyits1: TMenuItem;
    Ments1: TMenuItem;
    Mentsmsknt1: TMenuItem;
    Bezrs1: TMenuItem;
    OpenDialog: TOpenDialog;
    SaveDialog: TSaveDialog;
    N1: TMenuItem;
    Kilps1: TMenuItem;
    procedure jdokumentum1Click(Sender: TObject);
    procedure Megnyits1Click(Sender: TObject);
    procedure Mentsmsknt1Click(Sender: TObject);
    procedure Ments1Click(Sender: TObject);
    procedure Kilps1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormSzulo: TFormSzulo;

implementation

uses u_gyerek;

{$R *.DFM}

procedure TFormSzulo.jdokumentum1Click(Sender: TObject);
begin
 FormGyerek:= TFormGyerek.Create(Self);
 FormGyerek.Caption:='Nvtelen';
end;

procedure TFormSzulo.Megnyits1Click(Sender: TObject);
var i: integer;
begin
 OpenDialog.Options := [ofAllowMultiSelect, ofFileMustExist];  //Engedlyezzk a tbbszrs kijellst
 OpenDialog.Filter := 'Szvegfjlok (*.txt)|*.txt|Minden fjl (*.*)|*.*';
 OpenDialog.FilterIndex := 1;
  if OpenDialog.Execute then
     for i := 0 to OpenDialog.Files.Count - 1 do
       begin
        FormGyerek:= TFormGyerek.Create(Self);  //ltrehozzuk a gyerekablakokat
        FormGyerek.Caption:= OpenDialog.Files.Strings[i];  //a gyerekablakok neve a fjl neve lesz
        FormGyerek.MemoSzoveg.Lines.LoadFromFile(OpenDialog.Files.Strings[i]);  // Betltjk a fjlok tartalmt
       end;
end;

procedure TFormSzulo.Mentsmsknt1Click(Sender: TObject);
begin
 SaveDialog.Filter := 'Szvegfjlok (*.txt)|*.txt|Minden fjl (*.*)|*.*';
 SaveDialog.FilterIndex := 1;
 SaveDialog.DefaultExt:='txt';
 If SaveDialog.Execute then
    begin
    FormGyerek.MemoSzoveg.Lines.SaveToFile(SaveDialog.FileName);
    FormGyerek.Caption:=SaveDialog.FileName;
    end;
end;

procedure TFormSzulo.Ments1Click(Sender: TObject);
begin
 If FormGyerek.Caption = 'Nvtelen'
    then FormSzulo.Mentsmsknt1Click(Sender)
    else FormGyerek.MemoSzoveg.Lines.SaveToFile(FormGyerek.Caption);

end;

procedure TFormSzulo.Kilps1Click(Sender: TObject);
begin
 Close;
end;

end.
