unit gyerek;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, StdCtrls, Clipbrd, Printers;

type
  TfrmGyerek = class(TForm)
    mmuGyerek: TMainMenu;
    File2: TMenuItem;
    mitUj2: TMenuItem;
    mitMegnyit2: TMenuItem;
    mitMent: TMenuItem;
    MitMMas: TMenuItem;
    mitBezar: TMenuItem;
    N3: TMenuItem;
    mitNyomBeall: TMenuItem;
    MitNyomtat: TMenuItem;
    N4: TMenuItem;
    mitKilep: TMenuItem;
    mitSzerkeszt: TMenuItem;
    Kivgs1: TMenuItem;
    Msols1: TMenuItem;
    Beilleszts1: TMenuItem;
    Trls1: TMenuItem;
    N1: TMenuItem;
    mitMindKi: TMenuItem;
    Formtum1: TMenuItem;
    Balra1: TMenuItem;
    Jobbra1: TMenuItem;
    Kzpre1: TMenuItem;
    N2: TMenuItem;
    Sortra1: TMenuItem;
    N5: TMenuItem;
    Bet1: TMenuItem;
    mmoSzoveg: TMemo;
    PopupMenu1: TPopupMenu;
    mitKivagas2: TMenuItem;
    mitMasolas2: TMenuItem;
    mitBeillesztes2: TMenuItem;
    SaveDialog1: TSaveDialog;
    FontDialog1: TFontDialog;
    PrinterSetupDialog1: TPrinterSetupDialog;
    PrintDialog1: TPrintDialog;
    procedure mitUj2Click(Sender: TObject);
    procedure Balra1Click(Sender: TObject);
    procedure Sortra1Click(Sender: TObject);
    procedure mitMindKiClick(Sender: TObject);
    procedure Kivgs1Click(Sender: TObject);
    procedure Msols1Click(Sender: TObject);
    procedure Beilleszts1Click(Sender: TObject);
    procedure Trls1Click(Sender: TObject);
    procedure mitSzerkesztClick(Sender: TObject);
    procedure PopupMenuBeallitas(Sender: TObject);
    procedure mmoSzovegClick(Sender: TObject);
    procedure mitMegnyit2Click(Sender: TObject);
    procedure MitMMasClick(Sender: TObject);
    procedure mitMentClick(Sender: TObject);
    procedure Bet1Click(Sender: TObject);
    procedure mitNyomBeallClick(Sender: TObject);
    procedure MitNyomtatClick(Sender: TObject);
    procedure mitBezarClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure mitKilepClick(Sender: TObject);
  private
         FajlNev : String;
         procedure MenuFrissites;
    { Private declarations }
  public
        Procedure Megnyitas(Const AFajlNev : String);
    { Public declarations }
  end;

var
  frmGyerek: TfrmGyerek;

implementation

uses szulo;
Const
     BakKiterjesztes = 'BAK';
     Figyelszoveg = 'Menti a vltozsokat a "%s" llomnyba?';
     Procedure TfrmGyerek.Megnyitas(Const AFajlNev : String);
     Begin
          FajlNev:=AFajlNev;
          mmoszoveg.Lines.LoadFromFile(FajlNev);
          mmoszoveg.SelStart:=0;
          Caption:=ExtractFileName(FajlNev);
          mmoszoveg.Modified:=False;     
     End;

{$R *.DFM}

procedure TfrmGyerek.mitUj2Click(Sender: TObject);
begin
     frmSzulo.UjGyerekAblak(Sender);
end;

procedure TfrmGyerek.Balra1Click(Sender: TObject);
begin
     Balra1.Checked:=false;
     Jobbra1.Checked:=false;
     Kzpre1.Checked:=false;
     with (Sender as TMenuItem) do Checked:=True;
     with mmoSzoveg do
          if Balra1.Checked
             then
                 Alignment:=taLeftJustify
             else
                 if Jobbra1.Checked
                    then
                        Alignment:=taRightJustify
                    else
                        Alignment:=taCenter;
end;

procedure TfrmGyerek.Sortra1Click(Sender: TObject);
begin
     with mmoSzoveg do
          begin
               WordWrap:=not WordWrap;
               if WordWrap
                  then
                      ScrollBars := ssVertical
                  else
                      ScrollBars := ssBoth;
               Sortra1.Checked := WordWrap;
          end;
end;

procedure TfrmGyerek.mitMindKiClick(Sender: TObject);
begin
     mmoSzoveg.SelectAll;
end;

procedure TfrmGyerek.Kivgs1Click(Sender: TObject);
begin
     With frmSzulo.ActiveMDIChild as TfrmGyerek do
     mmoSzoveg.CutToClipBoard;
end;

procedure TfrmGyerek.Msols1Click(Sender: TObject);
begin
     With frmSzulo.ActiveMDIChild as TfrmGyerek do
     mmoSzoveg.CopyToClipboard;
end;

procedure TfrmGyerek.Beilleszts1Click(Sender: TObject);
begin
     With frmSzulo.ActiveMDIChild as TfrmGyerek do
     mmoSzoveg.PasteFromClipboard;
end;

procedure TfrmGyerek.Trls1Click(Sender: TObject);
begin
     mmoSzoveg.ClearSelection;
end;

procedure TfrmGyerek.Menufrissites;
var HasSelection  : Boolean;
begin
     Beilleszts1.Enabled := Clipboard.HasFormat(CF_TEXT);
     mitBeillesztes2.Enabled := Clipboard.HasFormat(CF_TEXT);
     HasSelection:=mmoSzoveg.SelLength<>0;
     Kivgs1.Enabled:=HasSelection;
     mitKivagas2.Enabled:=HasSelection;
     Msols1.Enabled:=HasSelection;
     mitMasolas2.Enabled:=HasSelection;
     Trls1.Enabled:=HasSelection;
end;

procedure TfrmGyerek.mitSzerkesztClick(Sender: TObject);
begin
     MenuFrissites;
end;

procedure TfrmGyerek.PopupMenuBeallitas(Sender: TObject);
begin
     MenuFrissites;
end;

procedure TfrmGyerek.mitmegnyit2Click(Sender: TObject);
Begin
     frmszulo.GyerekMegnyitas(Sender);
End;


procedure TfrmGyerek.mmoSzovegClick(Sender: TObject);
     Var
   frmGyerek : TfrmGyerek;
begin
   
end;    


procedure TfrmGyerek.MitMMasClick(Sender: TObject);
begin
     SaveDialog1.FileName:=FajlNev;
     If SaveDialog1.Execute
        Then
            Begin
                 FajlNev:=SaveDialog1.FileName;
                 Caption:=ExtractFileName(FajlNev);
                 mitMentClick(Sender);

            End;
end;

procedure TfrmGyerek.mitMentClick(Sender: TObject);
  Procedure BakFileKeszites(Const FajlNev : String);
    Var
       HatterFileNev : String;
    begin
     HatterFileNev:=ChangeFileExt(FajlNev, BakKiterjesztes);
     DeleteFile(HatterFileNev);
     RenameFile(FajlNev, HatterFileNev);
    end;
Begin
     With frmSzulo.ActiveMDIChild as TfrmGyerek do
          If FajlNev=''
             Then
               Begin
                 mitMMasClick(Sender);
               End
             Else
                 Begin
                      BakFileKeszites(FajlNev);
                      mmoSzoveg.Lines.SaveToFile(FajlNev);
                      mmoSzoveg.Modified:=False;
                 End;
End;

procedure TfrmGyerek.Bet1Click(Sender: TObject);
begin
     FontDialog1.Font:=mmoszoveg.Font;
     If FontDialog1.Execute
        Then
            Begin
                 mmoszoveg.Font:=FontDialog1.Font
            End;
end;

procedure TfrmGyerek.mitNyomBeallClick(Sender: TObject);
begin
  PrinterSetupDialog1.Execute;
end;

procedure TfrmGyerek.MitNyomtatClick(Sender: TObject);
Var
   i : Integer;
   NyomtatandoSzovegFile : System.Text;
begin
     If PrintDialog1. Execute
        Then
            Begin
                 AssignPrn(NyomtatandoSzovegFile);
                 ReWrite(NyomtatandoSzovegFile);
                 Printer.Canvas.Font:=mmoSzoveg.Font;
                 For i:=0 To mmoszoveg.Lines.Count -1 Do
                     Begin
                          WriteLn(NyomtatandoSzovegFile, mmoSzoveg.Lines[i]);
                     End;
                 CloseFile(NyomtatandoSzovegFile);
            End;
end;

procedure TfrmGyerek.mitBezarClick(Sender: TObject);
begin
     With frmSzulo.ActiveMDIChild as TfrmGyerek do
     Close;
end;

procedure TfrmGyerek.FormClose(Sender: TObject; var Action: TCloseAction);
begin
     Action:=caFree;
end;

procedure TfrmGyerek.FormCloseQuery(Sender: TObject;
  var CanClose: Boolean);
Var
      Dialogusvalasz : Integer;
      FNev : String;
begin
     If mmoSzoveg.Modified
        Then
            Begin
                 FNev:=Caption;
                 If Length(FNev)=0
                    Then
                        Begin
                             FNev:='Nvtelen';
                        End;
                 Dialogusvalasz:=MessageDlg(Format(FigyelSzoveg,[FNev]), mtConfirmation, [mbYes,mbNo,mbCancel], 0);
                 Case DialogusValasz of
                      mrYes : mitMentClick(Self);
                      mrCancel : CanClose:=False;
            End;
end;

End;
procedure TfrmGyerek.mitKilepClick(Sender: TObject);
begin
     With frmSzulo.ActiveMDIChild as TfrmGyerek do
     FrmSzulo.mitKilepClick(Sender);
end;

End.
