unit szulo;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, ExtCtrls, Buttons;

type
  TfrmSzulo = class(TForm)
    MainMenu1: TMainMenu;
    mitFile1: TMenuItem;
    mitUj1: TMenuItem;
    mitMegnyit1: TMenuItem;
    N1: TMenuItem;
    mitKilep: TMenuItem;
    mitAblak1: TMenuItem;
    mitMozaik1: TMenuItem;
    mitLepcso1: TMenuItem;
    mitIkonok: TMenuItem;
    mitViz1: TMenuItem;
    mitFugg1: TMenuItem;
    OpenDialog1: TOpenDialog;
    panEszkoz: TPanel;
    spbUj: TSpeedButton;
    spbNyit: TSpeedButton;
    spbMent: TSpeedButton;
    spbZar: TSpeedButton;
    spbKivag: TSpeedButton;
    spbMasol: TSpeedButton;
    spbBeilleszt: TSpeedButton;
    spbKilep: TSpeedButton;
    panStatusz: TPanel;
    panIdo: TPanel;
    panInfo: TPanel;
    Timer1: TTimer;
    procedure UjGyerekAblak(Sender: TObject);
    procedure mitViz1Click(Sender: TObject);
    procedure mitFugg1Click(Sender: TObject);
    procedure mitLepcso1Click(Sender: TObject);
    procedure mitIkonokClick(Sender: TObject);
    procedure GyerekMegnyitas(Sender: TObject);
    procedure mitKilepClick(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure spbMentClick(Sender: TObject);
    procedure spbZarClick(Sender: TObject);
    procedure spbKivagClick(Sender: TObject);
    procedure spbMasolClick(Sender: TObject);
    procedure spbBeillesztClick(Sender: TObject);
    procedure spbKilepClick(Sender: TObject);
  private
    { Private declarations }
  public
        Procedure HintMegjelenites(Sender : TObject);
    { Public declarations }
  end;

var
  frmSzulo: TfrmSzulo;

implementation

Uses Gyerek;

{$R *.DFM}

Procedure TfrmSzulo.HintMegjelenites(Sender : TObject);
Begin
     panInfo.Caption:=Application.Hint;
End;
procedure TfrmSzulo.UjGyerekAblak(Sender: TObject);
var frmGyerek  : TfrmGyerek;
begin
     frmGyerek:=Tfrmgyerek.Create(Self);
end;

procedure TfrmSzulo.mitViz1Click(Sender: TObject);
begin
     TileMode:=tbHorizontal;
     Tile;
end;

procedure TfrmSzulo.mitFugg1Click(Sender: TObject);
begin
     TileMode:=tbVertical;
     Tile;
end;

procedure TfrmSzulo.mitLepcso1Click(Sender: TObject);
begin
     Cascade;
end;

procedure TfrmSzulo.mitIkonokClick(Sender: TObject);
begin
     ArrangeIcons;
end;

procedure TfrmSzulo.GyerekMegnyitas(Sender: TObject);
Var
   frmGyerek : Tfrmgyerek;
begin
     If OpenDialog1.Execute
        Then
            Begin
                 frmGyerek:=Tfrmgyerek.Create(Self);
                 frmGyerek.Megnyitas(OpenDialog1.FileName);
                 frmGyerek.Visible:=True;
            End;
end;

procedure TfrmSzulo.mitKilepClick(Sender: TObject);
begin
     Close;
end;


procedure TfrmSzulo.Timer1Timer(Sender: TObject);
begin
     panIdo.Caption:=TimeToStr(Time);
end;

procedure TfrmSzulo.FormCreate(Sender: TObject);
begin
     Application.onHint:=HintMegjelenites;
end;

procedure TfrmSzulo.spbMentClick(Sender: TObject);
begin
     If ActiveMDIChild <> nil
        Then
            Begin
                 frmGyerek.mitMentClick(Sender);
            End;
end;

procedure TfrmSzulo.spbZarClick(Sender: TObject);
begin
     If ActiveMDIChild <> nil
        Then
            Begin
                 frmGyerek.mitBezarClick(Sender);
            End;
end;

procedure TfrmSzulo.spbKivagClick(Sender: TObject);
begin
     If ActiveMDIChild <> nil
        Then
            Begin
                 frmGyerek.Kivgs1Click(Sender);
            End;
end;

procedure TfrmSzulo.spbMasolClick(Sender: TObject);
begin
     If ActiveMDIChild <> nil
        Then
            Begin
                 frmGyerek.Msols1Click(Sender);
            End;
end;

procedure TfrmSzulo.spbBeillesztClick(Sender: TObject);
begin
     If ActiveMDIChild <> nil
        Then
            Begin
                 frmGyerek.Beilleszts1Click(Sender);
            End;
end;

procedure TfrmSzulo.spbKilepClick(Sender: TObject);
begin
     If ActiveMDIChild <> nil
        Then
            Begin
                 frmGyerek.mitKilepClick(Sender)
            End
        Else
            Begin
                 Close;
            End;
end;

end.
