unit u_Fajlkezeles;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, CheckLst, Buttons;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    clbAttributum: TCheckListBox;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
var sMeghajto: string;
begin
GetDir(-1, sMeghajto);
ShowMessage(sMeghajto);
end;

procedure TForm1.Button2Click(Sender: TObject);
var sFNev: string;
begin
InputQuery('ADATBEKRS', 'Krem az llomny nevt', sFNev);
If FileExists(sFNev)
        then ShowMessage('Az llomny ltezik!')
        else ShowMessage('Az llomny hinyzik!');
end;

procedure TForm1.Button3Click(Sender: TObject);
var sFajlNev: string;
    sExpandNev: string;
    sExpandUNCNev: string;
begin
InputQuery('ADATBEKRS', 'Krem az llomny nevt', sFajlNev);
sExpandNev:= ExpandFileName(sFajlnev);
sExpandUNCNev:= ExpandUNCFileName(sFajlnev);
ShowMessage(sExpandNev + #13 + sExpandUNCNev);
end;

procedure TForm1.Button4Click(Sender: TObject);
var sFajlNev: string;
    nFKor: integer;
    dFKor: TDateTime;
begin
InputQuery('ADATBEKRS', 'Krem az llomny nevt', sFajlNev);
nFKor:= FileAge(sFajlNev);
dfKor:= FileDateToDateTime(nFKor);
ShowMessage(DateTimeToStr(dfKor));
end;

procedure TForm1.Button5Click(Sender: TObject);
var sFajlNev: string;
    nFajlAttr: integer;
begin
InputQuery('ADATBEKRS', 'Krem az llomny nevt', sFajlNev);
nFajlAttr:= FileGetAttr(SFajlNev);
clbAttributum.Checked[0]:= (nfajlAttr and faReadOnly > 0);
clbAttributum.Checked[1]:= (nfajlAttr and faHidden > 0);
clbAttributum.Checked[2]:= (nfajlAttr and faSysFile > 0);
clbAttributum.Checked[3]:= (nfajlAttr and faVolumeID > 0);
clbAttributum.Checked[4]:= (nfajlAttr and faDirectory > 0);
clbAttributum.Checked[5]:= (nfajlAttr and faArchive > 0);
end;

procedure TForm1.BitBtn1Click(Sender: TObject);
var sFajlNev: string;
    sNev:  string;
    sExt:  string;
    sPath: string;
begin
InputQuery('ADATBEKRS', 'Krem az llomny nevt', sFajlNev);
sNev:= ExtractFileName(sFajlNev);
sExt:= ExtractFileExt(sFajlNev);
sPath:= ExtractFilePath(sFajlNev);
ShowMessage(SNev + #13 + sExt + #13 + sPath);
end;

procedure TForm1.BitBtn2Click(Sender: TObject);
var sFajlNev: string;
    sEleresiUt: string;
    puffer: array [0..255] of char;
begin
InputQuery('ADATBEKRS', 'Krem az llomny nevt', sFajlNev);
GetWindowsDirectory(puffer, SizeOf(puffer));
sEleresiUt:= FileSearch(SFajlNev, GetCurrentDir + ';' + puffer);
If sEleresiUt = ''
   then ShowMessage('A keresett fjl nem tallhat!')
   else ShowMessage (sEleresiUt);
end;

end.
